## python-contract 1.4

=== debian/changelog ===
python-contract (1.4-4) unstable; urgency=medium

  * QA upload.
  * Build using dh_python2

 -- Matthias Klose <doko@debian.org>  Sun, 13 Jul 2014 16:02:03 +0000

python-contract (1.4-3) unstable; urgency=low

  * QA upload.

  [ Piotr Ożarowski ]
  * Rename XS-Vcs-* fields to Vcs-* (dpkg supports them now)

  [ Scott Kitterman ]
  * Adjust build dir and test PYTHONPATH in debian/rules to fix FTBFS due to
    test failure when only Python 2.6 and later are supported Python versions
    (closes: #614949)

  [ Sandro Tosi ]
  * debian/control
    - uniforming Vcs-Browser field
  * debian/control
    - switch Vcs-Browser field to viewsvn

  [ Jakub Wilk ]
  * Set maintainer to Debian QA Group and remove uploaders (see #565754).
  * Fix capitalization errors in the package description.
  * Add ${misc:Depends}.
  * Build-depend on python-all rather than python-all-dev.
  * Remove debian/dirs; not needed anymore.
  * Switch to source format 3.0 (quilt).
  * Bump standards version to 3.9.2.
    + Remove quilt from Build-Depends.
    + Remove explicit patching from debian/rules.
  * Set section to ‘python’.
  * Remove XB-Python-Version.
  * Add patch descriptions.

 -- Jakub Wilk <jwilk@debian.org>  Thu, 14 Apr 2011 15:12:05 +0200

python-contract (1.4-2) unstable; urgency=low

  * Initial release (Closes: 444390)

 -- Mike O'Connor <stew@vireo.org>  Sat, 29 Sep 2007 01:15:49 -0400

python-contract (1.4-1) UNRELEASED; urgency=low

  * initially packaged

 -- Mike O'Connor <stew@vireo.org>  Fri, 14 Sep 2007 08:24:08 -0400
