=== debian/control ===
Source: python-contract
Section: python
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 5.0.37.2), python-all (>= 0.4.42)
Standards-Version: 3.9.2
Homepage: http://www.wayforward.net/pycontract/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-contract/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-contract/trunk/
 
Package: python-contract
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: Programming by contract for Python
 This package provides a means for programming by contract in Python.
 Programming by contact is a methodology whereby a API designer can
 define checkable preconditions and postconditions for method calls,
 and invariants for classes and methods.  The most famous use of this
 methodology is in the Eiffel programming language.
 .
 This implementation of programming by contract has the developer
 write constraints in the docstrings of methods and classes that can
 be optionally checked at runtime.  If the constraints are not met,
 an exception is raised.
