=== debian/watch ===
version=3
http://www.wayforward.net/pycontract/contract-(.*)\.tar\.gz
